function onTalk()
	disableMovement()
	playSound("event:/game/06_reflection/badeline_feather_slice")
	if not getFlag("EchoChamber") and getMusic() ~= "event:/CC/CC_KoseiDiamond_EchoFog" then
		playMusic("event:/CC/CC_KoseiDiamond_EchoFog")
	end
	setFlag("EchoChamber", not getFlag("EchoChamber"))
	setFlag("PartyCenter",false)
	wait(0.2)
	enableMovement()
end
